---
title: Operations Endpoint (2022/06)
slug: develop/operations-endpoint-202206
docTags: 
createdAt: 2025-03-11T07:03:30.743Z
---

This resource represents the business operations tree and operations permissions in a given network.

Base URL for this endpoint:  **https\://api.bsn.cloud/2022/06/REST/Operations**

*\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_*

## GET /Root/\{\*path}/  

Returns a sub-tree of the available business operations along with granted role permissions.

**Required Scope Token**

bsn.api.main.operations.retrieve

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Segment**

- `path` <font color="#704ae0">string</font> <font color="#01a0af">optional: </font>Allows you to request a subset rather than the entire business operations tree. It is populated by operation names based on the complete tree.

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `path` is set to `User/UpdateUser`

```text
GET /2022/06/REST/Operations/Root/User%2FUpdateUser HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response Body**

<font color="#089a4d">200</font>: Returns the [Business Operations Entity](docId\:eI98k7OUl6z5i-5B-D6js) which includes operational permissions

**Example**

```json
{
   "uid": "526a9b95-cce5-422a-99f8-9f02d63af74f",
   "singularName": "Update User",
   "pluralName": "Update User",
   "fullName": "User (Full Control) - Update User",
   "targetEntity": "User",
   "appliance": "Instance, Collection",
   "parent":    {
      "uid": "b41ac545-d505-7014-edde-51bc4c0d21a0",
      "singularName": "Full Control",
      "pluralName": "User (Full Control)",
      "fullName": "User (Full Control)",
      "targetEntity": "User",
      "appliance": "Instance, Collection",
      "parent": null,
      "descendants": null,
      "permissions": null
   },
   "descendants": [],
   "permissions":    [
            {
         "entityId": null,
         "operationUID": "526a9b95-cce5-422a-99f8-9f02d63af74f",
         "principal":          {
            "name": "Administrators",
            "isCustom": false,
            "type": "Role",
            "id": 1
         },
         "isFixed": true,
         "isInherited": true,
         "isAllowed": true,
         "creationDate": "2020-03-05T16:59:04.973Z"
      },
            {
         "entityId": null,
         "operationUID": "526a9b95-cce5-422a-99f8-9f02d63af74f",
         "principal":          {
            "name": "General Managers",
            "isCustom": false,
            "type": "Role",
            "id": 2
         },
         "isFixed": true,
         "isInherited": true,
         "isAllowed": false,
         "creationDate": "2020-03-05T16:59:05.217Z"
      },
            {
         "entityId": null,
         "operationUID": "526a9b95-cce5-422a-99f8-9f02d63af74f",
         "principal":          {
            "name": "Creators",
            "isCustom": false,
            "type": "Role",
            "id": 3
         },
         "isFixed": true,
         "isInherited": true,
         "isAllowed": false,
         "creationDate": "2020-03-05T16:59:05.473Z"
      },
            {
         "entityId": null,
         "operationUID": "526a9b95-cce5-422a-99f8-9f02d63af74f",
         "principal":          {
            "name": "Publishers",
            "isCustom": false,
            "type": "Role",
            "id": 4
         },
         "isFixed": true,
         "isInherited": true,
         "isAllowed": false,
         "creationDate": "2020-03-05T16:59:05.783Z"
      },
            {
         "entityId": null,
         "operationUID": "526a9b95-cce5-422a-99f8-9f02d63af74f",
         "principal":          {
            "name": "Network Managers",
            "isCustom": false,
            "type": "Role",
            "id": 5
         },
         "isFixed": true,
         "isInherited": true,
         "isAllowed": false,
         "creationDate": "2020-03-05T16:59:06.237Z"
      },
            {
         "entityId": null,
         "operationUID": "526a9b95-cce5-422a-99f8-9f02d63af74f",
         "principal":          {
            "name": "Viewers",
            "isCustom": false,
            "type": "Role",
            "id": 6
         },
         "isFixed": true,
         "isInherited": true,
         "isAllowed": false,
         "creationDate": "2020-03-05T16:59:06.807Z"
      }
   ]
}
```

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request is malformed and therefore invalid

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method 

<font color="#9a0808">404</font>: The server cannot find the requested resource (the path does not exist)

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error
